﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using ShareWifi.Utils.Net;
using ShareWifi.Views.Components;
using ShareWifi.Model;
using ShareWifi.Utils;

namespace ShareWifi.Views
{
    public partial class HomeControl : UserControl
    {
        WifiModel wifiModel=new WifiModel();
        public HomeControl()
        {
            InitializeComponent();
        }

        public static HomeControl getInstance()
        {
            return new HomeControl();

        }

        private void btnGenerate_Click(object sender, EventArgs e)
        {
            string ssid = WifiUtils.getSSID();
            if (ssid != "" && ssid != null)
            {
                wifiModel.Ssid = ssid;
                //查找密码
                wifiModel.Pwd = WifiUtils.getSSDIPassword(ssid);
                //生成二维码
                QRModel qRModel = QRUtils.genQR(wifiModel.getWifi());
                picQR.Image = qRModel.QrData;

                lbPWD.Text = wifiModel.Pwd;
                lbSSID.Text = wifiModel.Ssid;
            }
            else
            {
                SimpleAlert simpleAlert = SimpleAlert.getInstance();
                simpleAlert.Show("请链接 WIFI 后才可以分享！");
            }
        }
    }
}
